%define rel 1
%define nm_version 0.9.8.4

Name: libnm-qt
Version: 0.9.8.4
Release: %mkrel %{rel}
Summary: Qt wrapper for NetworkManager API
License: LGPLv2+
Group: System/Libraries
Url: https://projects.kde.org/projects/extragear/libs/libnm-qt
Source0: http://download.kde.org/unstable/networkmanager-qt/%{version}/src/networkmanager-qt-%{version}.tar.xz

BuildRequires: pkgconfig(QtCore) 
BuildRequires: pkgconfig(libnm-glib) >= %nm_version
BuildRequires: pkgconfig(ModemManager)
BuildRequires: pkgconfig(ModemManagerQt) >= 0.5.0
BuildRequires: doxygen
BuildRequires: cmake


%description
Qt wrapper for NetworkManager API

#------------------------------------------------------

%define libnetworkmanagerqt_major 1
%define libnetworkmanagerqt %mklibname networkmanagerqt %{libnetworkmanagerqt_major}

%package -n %{libnetworkmanagerqt}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libnetworkmanagerqt}
Runtime library for the Qt wrapper for ModemManager DBus API.

%files -n %{libnetworkmanagerqt}
%{_libdir}/libNetworkManagerQt.so.%{libnetworkmanagerqt_major}{,.*}
%{_libdir}/libNetworkManagerQt.so.%{version}

#-----------------------------------------------------
%define libnetworkmanagerqt_devel %mklibname -d networkmanagerqt

%package -n %{libnetworkmanagerqt_devel}
Summary: Devel files for %{name}
Group: Development/KDE and Qt
Requires: %{libnetworkmanagerqt} = %{version}-%{release}

%description -n %{libnetworkmanagerqt_devel}
Header to build package against %{name}

%files -n %{libnetworkmanagerqt_devel}
%{_includedir}/NetworkManagerQt
%{_libdir}/libNetworkManagerQt.so
%{_libdir}/pkgconfig/NetworkManagerQt.pc

#------------------------------------------------------

%prep
%setup -q -n networkmanager-qt-%{version}
%autopatch -p1

%build
%cmake_qt4

%make

%install
%makeinstall_std -C build


%changelog
* Wed Aug 10 2016 luigiwalser <luigiwalser> 0.9.8.4-1.mga6
+ Revision: 1045365
- 0.9.8.4
- upstream tarball is now called networkmanager-qt
- remove upstreamed patches

* Tue Feb 09 2016 umeabot <umeabot> 0.9.8.3-3.mga6
+ Revision: 952287
- Mageia 6 Mass Rebuild

* Tue Feb 10 2015 lmenut <lmenut> 0.9.8.3-2.mga5
+ Revision: 814605
- add upstream patches from branch NM/0.9.8

* Mon Nov 10 2014 lmenut <lmenut> 0.9.8.3-1.mga5
+ Revision: 796161
- Update to 0.9.8.3

* Wed Oct 15 2014 umeabot <umeabot> 0.9.8.2-4.mga5
+ Revision: 739025
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.8.2-3.mga5
+ Revision: 681658
- Mageia 5 Mass Rebuild

* Sat Jul 12 2014 lmenut <lmenut> 0.9.8.2-2.mga5
+ Revision: 651521
- rebuild for libmm-qt 1.0.1

* Sat Jul 12 2014 lmenut <lmenut> 0.9.8.2-1.mga5
+ Revision: 651507
- Update to 0.9.8.2

* Fri Nov 22 2013 lmenut <lmenut> 0.9.8.0-1.mga4
+ Revision: 552386
- Update tarball to 0.9.8.0
  update Source

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + mikala <mikala>
    - Update tarball to a 0.9.1 git snapshot needed to get support for modemmanager 1.0.0

* Sat Sep 14 2013 mikala <mikala> 0.9.0-1.mga4
+ Revision: 478740
- imported package libnm-qt

